Hanzo
API Reference

Hanzo O11y API

Hanzo O11y provides unified observability with logs, metrics, and traces

Hanzo O11y provides unified observability with logs, metrics, and traces

Base URLhttps://o11y.hanzo.ai
Version1.0.0
Operations30
GuideHanzo O11y API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://o11y.hanzo.ai

Endpoints

Alerts

MethodEndpointDescription
GET/v1/o11y/rulesList alert rules
POST/v1/o11y/rulesCreate alert rule
GET/v1/o11y/rules/{id}Get alert rule
PUT/v1/o11y/rules/{id}Update alert rule
DELETE/v1/o11y/rules/{id}Delete alert rule
GET/v1/o11y/channelsList notification channels
POST/v1/o11y/channelsCreate notification channel
PUT/v1/o11y/channels/{id}Update notification channel
DELETE/v1/o11y/channels/{id}Delete notification channel

Dashboards

MethodEndpointDescription
GET/v1/o11y/dashboardsList dashboards
POST/v1/o11y/dashboardsCreate dashboard
GET/v1/o11y/dashboards/{uid}Get dashboard
PUT/v1/o11y/dashboards/{uid}Update dashboard
DELETE/v1/o11y/dashboards/{uid}Delete dashboard

Logs

MethodEndpointDescription
GET/v1/o11y/logs/queryInstant LogQL query
GET/v1/o11y/logs/query_rangeRange LogQL query
GET/v1/o11y/logs/labelsList log labels
GET/v1/o11y/logs/labels/{name}/valuesGet label values
POST/v1/o11y/logs/pushPush log entries
GET/v1/o11y/logs/tailLive tail logs (WebSocket)

Metrics

MethodEndpointDescription
GET/v1/o11y/queryInstant PromQL query
GET/v1/o11y/query_rangeRange PromQL query
GET/v1/o11y/seriesFind series by label matchers
GET/v1/o11y/labelsList metric label names
GET/v1/o11y/label/{name}/valuesGet metric label values

Traces

MethodEndpointDescription
GET/v1/o11y/tracesSearch traces
GET/v1/o11y/traces/{traceId}Get trace by ID
GET/v1/o11y/servicesList traced services
GET/v1/o11y/services/{name}/operationsList service operations
GET/v1/o11y/dependenciesGet service dependency graph

Hanzo O11y API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page